Subject: Re: powerpc/85xx: Add support for the "socrates" board (MPC8544)

From: Wolfgang Grandegger <[email-masked]>
Date: Thu, 02 Apr 2009 20:50:56 +0200

Kumar Gala wrote:
> 
> On Apr 2, 2009, at 1:38 AM, Wolfgang Grandegger wrote:
> 
>>
>> Socrates is a new board and it has no problem using an up-to-date
>> version of U-Boot. The socrates.dts file in your "next" tree already has
>> the "device_type = "soc" removed. We need to add "fsl,soc" to the
>> "compatible" property and update fsl_get_sys_freq(), etc. to search for
>> it as well. And U-Boot should use the same name to fixup the
>> frequencies. Are you already working on that issue? Should I provide
>> patches?
>>
> 
> I'm not working on it at all.  I'm also guessing at this point the
> Socrates support is in Linus tree :)

Yes, I know, but it does not work properly because the "device_type =
"soc" is missing :-(. I did not realize that immediately, sorry. Could
you please apply the fix below re-adding the 'device_type = "soc";' line
for the time being.

Thanks.

Wolfgang.

[PATCH] powerpc/85xx: Re-add the device_type soc to socrates.dts

The device_type "soc" is still required for MPC85xx boards.

Signed-off-by: Wolfgang Grandegger <[email-masked]>
---
 arch/powerpc/boot/dts/socrates.dts |    1 +
 1 file changed, 1 insertion(+)

Index: powerpc/arch/powerpc/boot/dts/socrates.dts
===================================================================
--- powerpc.orig/arch/powerpc/boot/dts/socrates.dts	2009-04-01
15:26:09.000000000 +0200
+++ powerpc/arch/powerpc/boot/dts/socrates.dts	2009-04-02
16:37:09.838719521 +0200
@@ -52,6 +52,7 @@
 	soc8544@e0000000 {
 		#address-cells = <1>;
 		#size-cells = <1>;
+		device_type = "soc";

 		ranges = <0x00000000 0xe0000000 0x00100000>;
 		reg = <0xe0000000 0x00001000>;	// CCSRBAR 1M